Page MenuHomePhabricator

Clean up sanitarium_multisource related code
Closed, ResolvedPublic

Description

Once the Sanitarium migration to multi-instance is completed (T190704) and db1095 is set as spare (T196376) all the related puppet code should be cleaned up

Event Timeline

Marostegui triaged this task as Medium priority.Jun 6 2018, 8:46 AM
Marostegui created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2018, 8:46 AM
Marostegui changed the task status from Open to Stalled.Jun 6 2018, 8:46 AM
Marostegui moved this task from Triage to Backlog on the DBA board.

Stalling this task as db1095 is still not a spare

Change 437720 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db1095 as spare, remove unused code

https://gerrit.wikimedia.org/r/437720

Marostegui moved this task from Backlog to In progress on the DBA board.Jun 7 2018, 8:05 AM

Change 439536 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1102.yaml: Disable notifications

https://gerrit.wikimedia.org/r/439536

Change 439536 merged by Marostegui:
[operations/puppet@production] db1102.yaml: Disable notifications

https://gerrit.wikimedia.org/r/439536

jcrespo claimed this task.Jun 15 2018, 3:52 PM

Just FYI: I was waiting till after the offsite to merge the above patch and get rid of db1095.

I wanted to prepare in advance the patches to clean up puppet (role deletions and all its dependencies).

jcrespo removed jcrespo as the assignee of this task.Jun 15 2018, 4:01 PM

Oh, I only saw the latest patch, nevermind.

I think the patch that I still have pending to merge does it all, but I might have missed stuff! I would love to have a review :)

Change 437720 merged by Marostegui:
[operations/puppet@production] mariadb: Set db1095 as spare, remove unused code

https://gerrit.wikimedia.org/r/437720

Marostegui closed this task as Resolved.Jun 26 2018, 5:43 AM
Marostegui claimed this task.

db1095 is now a spare and I have not found any more traces of sanitarium code, so considering this resolved.

Change 442274 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] sanitarium_multisource.yaml: Remove file

https://gerrit.wikimedia.org/r/442274

Change 442274 merged by Marostegui:
[operations/puppet@production] sanitarium_multisource.yaml: Remove file

https://gerrit.wikimedia.org/r/442274

Vvjjkkii renamed this task from Clean up sanitarium_multisource related code to 8jbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Marostegui as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Marostegui renamed this task from 8jbaaaaaaa to Clean up sanitarium_multisource related code.Jul 1 2018, 8:13 PM
Marostegui closed this task as Resolved.
Marostegui claimed this task.
Marostegui lowered the priority of this task from High to Medium.
Marostegui updated the task description. (Show Details)